Relesys API Docs

v1.3

https://api.uat.relesystest.net/api/v1.3

Content

Create Content
POST /contentmodules/{moduleId}/content
https://api.uat.relesystest.net/api/v1.3/contentmodules/{moduleId}/content
Create a content post in a module with moduleId if the model is valid.

startDate and endDate should be provided in the following format: "yyyy-MM-ddTHH:mm:ss".

bodyText in locales must be provided using Markdown syntax.
For more information on permissions, notifications and Markdown syntax visit their respective concept pages.
Scopes: relesys.api, relesys.api:write, relesys.api.content, relesys.api.content:write
URL Path
moduleId string / guid The module's unique identifier required
Request Body
application/json
object
  categoryId string / guid optional
  endDate string optional
  endDateTimeZone string optional
  locales array[object] required
   bodyText string optional
   culture string optional
   title string optional
  mediaIds array[string / guid] optional
  name string Max length: 128 required
  notifications object optional
   forceInstantPush boolean optional
   sendNotification boolean optional
   sendPushNotification boolean optional
  permissions array[object] required
   departments array[string / guid] required
   requireAllUserGroups boolean optional
   userGroups array[string / guid] required
  publishOnCreate boolean optional
  startDate string required
  startDateTimeZone string optional
Responses
application/json
JSON
{"data":{"id":"da3dded3-dd96-4ae1-b953-e027f86e5687","url":null,"userId":"ada9a4a0-6de8-4c2c-ac93-518232886638","userUrl":null,"categoryId":"1d60e4f7-7aa5-4bfc-a4c8-4f674a1c8f47","categoryUrl":null,"sortOrder":1,"status":"Published","creationDateTime":"2026-04-14T18:15:46.5666992+00:00","lastModifiedDateTime":"2026-04-15T14:15:46.5666992+00:00","availableFrom":"2026-04-15T18:15:46","startDateTimeZone":null,"availableUntil":"2026-04-16T18:15:46","endDateTimeZone":null,"medias":[{"id":"888762c3-d1dd-488d-9b9c-f56a169bcea6","downloadUrl":null,"referenceUrl":null,"contentType":"image/png","fileName":"image.png"},{"id":"a2c6e21b-3970-4dc5-94a3-389a942f6dfd","downloadUrl":null,"referenceUrl":null,"contentType":"video/mp4","fileName":"video.mp4"}],"featureMediaId":null,"featureMediaDownloadUrl":null,"mentions":[{"type":"User","name":"User name example","id":"de2d7d7a-6bb4-4589-9e2f-29231dd8dacf","url":null},{"type":"Department","name":"Department name example","id":"d886423e-80c7-42cf-8975-40e8e9a66720","url":null},{"type":"User group","name":"User group name example","id":"b17bd628-e8ec-424a-a81a-2f74c7202b63","url":null}],"locales":[{"culture":"en-GB","title":"Example title 1","bodyText":"<p>Example body text 1</p>"}],"permissions":[{"departments":[{"url":null,"name":"Department name example","id":"ef00edda-5bcd-48f6-a696-0e16b62bb5a5"}],"userGroups":[{"url":null,"name":"User group name example","id":"5b0f00aa-cc96-4fa4-9211-8164f91947cf"}],"requireAllUserGroups":false}]}}
object
  data object      
   availableFrom string      
   availableUntil string      
   categoryId string / guid      
   categoryUrl string      
   creationDateTime datetimeoffset      
   endDateTimeZone string      
   featureMediaDownloadUrl string      
   featureMediaId string / guid      
   id string / guid      
   lastModifiedDateTime datetimeoffset      
   locales array[object]      
    bodyText string      
    culture string      
    title string      
   medias array[object]      
    contentType string      
    downloadUrl string      
    fileName string      
    id string / guid      
    referenceUrl string      
   mentions array[object]      
    id string / guid      
    name string      
    type string      
    url string      
   permissions array[object]      
    departments array[object]      
     id string / guid      
     name string      
     url string      
    requireAllUserGroups boolean      
    userGroups array[object]      
     id string / guid      
     name string      
     url string      
   sortOrder integer      
   startDateTimeZone string      
   status string      
   url string      
   userId string / guid      
   userUrl string